Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 428)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 429)
@@ -64,7 +64,7 @@
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.results.ITXMResult;
+import org.txm.core.results.TXMResult;
 import org.txm.functions.referencer.Referencer;
 import org.txm.index.core.functions.Index;
 import org.txm.lexicaltable.core.functions.LexicalTable;
@@ -149,8 +149,8 @@
 	 */
 	protected void buildTreeContent(List<MainCorpus> corpora)
 	{
-		ArrayList<ITXMResult> notempty = new ArrayList<ITXMResult>(corpora);
-		for(ITXMResult container : corpora)
+		ArrayList<TXMResult> notempty = new ArrayList<TXMResult>(corpora);
+		for(TXMResult container : corpora)
 		{
 			String symbol = null;
 			try {
@@ -184,7 +184,7 @@
 	 * @param container the container
 	 * @return true, if successful
 	 */
-	protected boolean deepSearch(ITXMResult container)
+	protected boolean deepSearch(TXMResult container)
 	{
 		boolean own = hasSymbol(container.getResults());
 		if (own)
@@ -194,7 +194,7 @@
 		else // continue deeper
 		{
 			
-			for(ITXMResult children : container.getResults())
+			for(TXMResult children : container.getResults())
 			{
 				boolean childrencontainer = deepSearch(children);
 				if (childrencontainer)
@@ -210,7 +210,7 @@
 	 * @param results the results
 	 * @return true, if successful
 	 */
-	private boolean hasSymbol(ArrayList<ITXMResult> results) {
+	private boolean hasSymbol(ArrayList<TXMResult> results) {
 		String symbol = null;
 		for(Object rez : results)
 		{
@@ -395,24 +395,24 @@
 		@Override
 		public Object[] getChildren(Object element) {
 			//System.out.println("get children of "+element);
-			if (element instanceof ITXMResult) {
+			if (element instanceof TXMResult) {
 //				List<Object> results = ((HasResults) element).getResults();
-//				ArrayList<ITXMResult> sub = ((HasResults) element).getSubHasResults();
+//				ArrayList<TXMResult> sub = ((HasResults) element).getSubHasResults();
 				//ArrayList<Object> children = new ArrayList<Object>();
 //				children.addAll(sub);
 //				children.addAll(results);
 				
-				ArrayList<ITXMResult> children = ((ITXMResult)element).getDeepResults();
+				ArrayList<TXMResult> children = ((TXMResult)element).getDeepResults();
 				
 				for(int i = 0 ; i < children.size() ; i++)
 				{
 					
 					Object obj = children.get(i);
 					//System.out.println("test > "+obj);
-					if (obj instanceof ITXMResult)
+					if (obj instanceof TXMResult)
 					{
 						//System.out.println("deap "+obj);
-						if (!deepSearch((ITXMResult) obj))
+						if (!deepSearch((TXMResult) obj))
 						{
 							children.remove(i);
 							i--;
@@ -469,7 +469,7 @@
 		 */
 		@Override
 		public boolean hasChildren(Object element) {
-			if (element instanceof ITXMResult) {
+			if (element instanceof TXMResult) {
 				return getChildren(element).length > 0;
 			}
 			return false;
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 428)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/CheckRPackages.java	(revision 429)
@@ -17,7 +17,6 @@
 import org.rosuda.REngine.RList;
 import org.txm.EngineType;
 import org.txm.Toolbox;
-import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.handlers.BaseAbstractHandler;
@@ -157,7 +156,7 @@
 	
 	public static boolean installRPAckagesViaRscript() throws IOException {
 		String cmd = ""; //$NON-NLS-1$
-		String installPath = TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.INSTALL_DIR);
+		String installPath = TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE);
 		if (Util.isMac() || Util.isLinux()) {
 			cmd = "R --no-save < \""+installPath+"/R/rlibs.R\""; //$NON-NLS-1$ //$NON-NLS-2$
 		} else if (Util.isWindows()) {
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java	(revision 428)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/ExecuteRScript.java	(revision 429)
@@ -110,7 +110,7 @@
 			}
 			dialog.setFilterExtensions(new String[] { "*.R" }); //$NON-NLS-1$
 
-			String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.USER_TXM_HOME)+ "/scripts";
+			String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
 			
 			dialog.setFilterPath(scriptCurrentDir);
 			result = dialog.open();
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 428)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/preferences/RPreferencePage.java	(revision 429)
@@ -140,7 +140,7 @@
 //		addField(r_svg_device);
 
 		
-		changeFieldStates(TXMPreferences.getBoolean(RPreferences.PREFERENCES_NODE, RPreferences.REMOTE));
+		changeFieldStates(TXMPreferences.getBoolean(RPreferences.REMOTE, RPreferences.PREFERENCES_NODE));
 	}
 	
 	
@@ -193,7 +193,7 @@
 			
 			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 			if (rw != null)	{
-				RWorkspace.setUseFileCommunication(TXMPreferences.getBoolean(RPreferences.PREFERENCES_NODE, RPreferences.FILE_TRANSFERT));
+				RWorkspace.setUseFileCommunication(TXMPreferences.getBoolean(RPreferences.FILE_TRANSFERT, RPreferences.PREFERENCES_NODE));
 			}
 		} catch (Exception e) {
 			System.err.println(Messages.FAILED_TO_SAVE_PREFERENCES + e);
